package com.muyu.system.domain.model;

import com.muyu.system.domain.req.SysDictDataAddReq;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 数据字典添加模型
 *
 * @author
 * @version 1.0
 * @date 2025/2/23 19:29
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SysDictDataAddModel {
    /**
     * 字典编码
     */
    private Long dictCode;

    /**
     * 字典排序
     */
    private Long dictSort;

    /**
     * 字典标签
     */
    private String dictLabel;

    /**
     * 字典键值
     */
    private String dictValue;

    /**
     * 字典类型
     */
    private String dictType;

    /**
     * 样式属性（其他样式扩展）
     */
    private String cssClass;

    /**
     * 表格字典样式
     */
    private String listClass;

    /**
     * 是否默认（Y是 N否）
     */
    private String isDefault;

    /**
     * 状态（0正常 1停用）
     */
    private String status;

    /**
     * 构建模型
     *
     * @param sysDictDataAddReq 请求对象
     * @return 添加对象
     */
    public static SysDictDataAddModel buildAddModel(SysDictDataAddReq sysDictDataAddReq) {
        return SysDictDataAddModel.builder()
                .dictCode(sysDictDataAddReq.getDictCode())
                .dictSort(sysDictDataAddReq.getDictSort())
                .dictLabel(sysDictDataAddReq.getDictLabel())
                .dictValue(sysDictDataAddReq.getDictValue())
                .dictType(sysDictDataAddReq.getDictType())
                .cssClass(sysDictDataAddReq.getCssClass())
                .listClass(sysDictDataAddReq.getListClass())
                .isDefault(sysDictDataAddReq.getIsDefault())
                .status(sysDictDataAddReq.getStatus())
                .build();
    }
}
