package com.muyu.system.domain.model;

import com.muyu.system.domain.SysNotice;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 通知公告详情模型
 *
 * @author 夜は眠れるかい?
 * @Date 2025/2/24 19:41
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SysNoticeDetailModel {

    /**
     * 公告ID
     */
    private Long noticeId;

    /**
     * 公告标题
     */
    private String noticeTitle;

    /**
     * 公告类型（1通知 2公告）
     */
    private String noticeType;

    /**
     * 公告内容
     */
    private String noticeContent;

    /**
     * 公告状态（0正常 1关闭）
     */
    private String status;


    /**
     * 将通知公告信息转换为详情模型
     *
     * @param sysNotice 通知公告信息
     * @return 详情模型
     */
    public static SysNoticeDetailModel infoBuildToDetailModel(SysNotice sysNotice) {
        return SysNoticeDetailModel.builder()
                .noticeId(sysNotice.getNoticeId())
                .noticeTitle(sysNotice.getNoticeTitle())
                .noticeType(sysNotice.getNoticeType())
                .noticeContent(sysNotice.getNoticeContent())
                .status(sysNotice.getStatus())
                .build();
    }
}
