package com.muyu.system.domain.req;

import com.muyu.common.system.domain.SysDept;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 部门管理修改请求对象
 * @author dongzeliang
 * @version 1.0
 * @description: 部门管理修改请求对象
 * @date 2025/1/27 09:40
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SysDeptUpdReq {

    /**
     * 父部门ID
     */
    private Long parentId;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 显示顺序
     */
    private Integer orderNum;

    /**
     * 负责人
     */
    private String leader;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 部门状态:0正常,1停用
     */
    private String status;

    public SysDept buildSysDept(Long deptId) {
        return SysDept.builder()
                .deptId(deptId)
                .deptName(this.deptName)
                .orderNum(this.orderNum)
                .email(this.email)
                .phone(this.phone)
                .status(this.status)
                .leader(this.leader)
                .parentId(this.parentId)
                .build();
    }
}
