package com.muyu.system.domain.req;

import com.muyu.common.core.web.page.PageReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 操作日志记录请求列表查询对象
 *
 * @ClassName SysOperlogListReq
 * @Author AnNan.Wang
 * @Date 2024/12/16 11:18
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class SysOperlogListReq extends PageReq {
    /**
     * 操作地址
     */
    private String operIp;
    /**
     * 操作模块
     */
    private String title;
    /**
     * 操作人员
     */
    private String operName;
    /**
     * 业务类型（0其它 1新增 2修改 3删除）
     */
    private Integer businessType;
    /**
     * 操作状态（0正常 1异常）
     */
    private Integer status;
    /**
     * 开始时间
     */
    private Date beginTime;
    /**
     * 结束时间
     */
    private Date endTime;
}
