package com.muyu.system.domain.resp;

import com.muyu.system.domain.model.SysNoticeDetailModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 通知公告详情响应对象
 *
 * @author 夜は眠れるかい?
 * @Date 2025/2/24 19:37
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SysNoticeDetailResp {

    /**
     * 公告ID
     */
    private Long noticeId;

    /**
     * 公告标题
     */
    private String noticeTitle;

    /**
     * 公告类型（1通知 2公告）
     */
    private String noticeType;

    /**
     * 公告内容
     */
    private String noticeContent;

    /**
     * 公告状态（0正常 1关闭）
     */
    private String status;


    /**
     * 详情模型构建响应对象
     * @param sysNoticeDetailModel 详情模型
     * @return 详情响应对象
     */
    public static SysNoticeDetailResp detailModelBuildToResp(SysNoticeDetailModel sysNoticeDetailModel){
        return SysNoticeDetailResp.builder()
                .noticeId(sysNoticeDetailModel.getNoticeId())
                .noticeTitle(sysNoticeDetailModel.getNoticeTitle())
                .noticeType(sysNoticeDetailModel.getNoticeType())
                .noticeContent(sysNoticeDetailModel.getNoticeContent())
                .status(sysNoticeDetailModel.getStatus())
                .build();
    }
}
