package com.muyu.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.system.domain.SysPost;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 岗位信息 数据层
 *
 * @author muyu
 */
@Mapper
public interface SysPostMapper extends BaseMapper<SysPost> {
    /**
     * 查询岗位数据集合
     *
     * @param post 岗位信息
     *
     * @return 岗位数据集合
     */
    public List<SysPost> selectPostList (SysPost post);

    /**
     * 根据用户ID获取岗位选择框列表
     *
     * @param userId 用户ID
     *
     * @return 选中岗位ID列表
     */
    public List<Long> selectPostListByUserId (Long userId);

    /**
     * 查询用户所属岗位组
     *
     * @param userName 用户名
     *
     * @return 结果
     */
    public List<SysPost> selectPostsByUserName (String userName);
}
