package com.muyu.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.system.domain.SysRoleDept;

import java.util.List;

/**
 * 角色与部门关联业务层
 * @author dongzeliang
 * @version 1.0
 * @description: 角色与部门关联业务
 * @date 2025/2/13 19:42
 */
public interface SysRoleDeptService extends IService<SysRoleDept> {

    /**
     * 通过角色ID删除角色和部门关联
     * @param roleId 角色ID
     */
    void deleteRoleDeptByRoleId(Long roleId);

    /**
     * 通过角色ID删除角色与部门关联
     * @param roleIds 角色ID集合
     */
    void deleteRoleDept(List<Long> roleIds);
}
