package com.muyu.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.system.domain.SysRoleMenu;

import java.util.List;

/**
 * 角色与菜单关联业务层
 * @author dongzeliang
 * @version 1.0
 * @description: 角色与菜单关联
 * @date 2025/2/13 19:10
 */
public interface SysRoleMenuService extends IService<SysRoleMenu> {

    /**
     * 查询菜单下是否含有角色
     * @param menuId 菜单ID
     * @return 含有角色数量
     */
    boolean checkMenuExistRole(Long menuId);

    /**
     * 根据角色ID删除与菜单关联关系
     * @param roleId 角色ID
     */
    void deleteRoleMenuByRoleId(Long roleId);

    /**
     * 通过角色ID集合删除与菜单关联关系
     * @param roleIdList 角色ID集合
     */
    void deleteRoleMenu(List<Long> roleIdList);
}
