package com.muyu.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.system.domain.SysUserRole;

import java.util.List;

/**
 * 用户与角色关联业务层
 * @author dongzeliang
 * @version 1.0
 * @description: 用户与角色关联业务层
 * @date 2025/2/13 21:50
 */
public interface SysUserRoleService extends IService<SysUserRole> {

    /**
     * 通过用户ID删除用户和角色关联
     *
     * @param userId 用户ID
     *
     * @return 结果
     */
    public void deleteUserRoleByUserId (Long userId);

    /**
     * 通过角色ID查询角色使用数量
     *
     * @param roleId 角色ID
     *
     * @return 结果
     */
    long countUserRoleByRoleId(Long roleId);


    /**
     * 删除用户和角色关联信息
     *
     * @param userRole 用户和角色关联信息
     */
    public void deleteUserRoleInfo (SysUserRole userRole);

    /**
     * 批量取消授权用户角色
     *
     * @param roleId  角色ID
     * @param userIds 需要删除的用户数据ID
     *
     * @return 结果
     */
    public void deleteUserRoleInfos (Long roleId, List<Long> userIds);

    /**
     * 删除用户与角色关联
     * @param userIds 用户ID集合
     */
    void deleteUserRole(List<Long> userIds);
}
